(hall-description
  (name "uniseg")
  (prefix "guile")
  (version "0.1")
  (author "Vivanne Langdon")
  (email "")
  (copyright (2024))
  (synopsis "Library for utf-8 rune widths")
  (description
    "A library that provides guile character sets and operations to work with runes that are more than a single character width.")
  (home-page
    "https://git.solarpunk.moe/vv/guile-uniseg")
  (license gpl3+)
  (dependencies `())
  (skip ())
  (features
    ((guix #t)
     (use-guix-specs-for-dependencies #f)
     (native-language-support #f)
     (licensing #f)))
  (files (libraries
           ((scheme-file "uniseg")
            (directory
              "uniseg"
              ((scheme-file "emoji")
               (directory "eastasian" ((scheme-file "locale")))
               (scheme-file "eastasian")
               (directory "graphemes" ((scheme-file "stream")))
               (scheme-file "graphemes")
               (scheme-file "internal")))))
         (tests ((directory
                   "tests"
                   ((scheme-file "test-eastasian-locale")
                    (scheme-file "test-uniseg")
                    (scheme-file "test-graphemes-stream")))))
         (programs
           ((directory
              "scripts"
              ((in-file "generate-east-asian")
               (in-file "generate-emoji")
               (in-file "generate-graphemes")))))
         (documentation
           ((org-file "README")
            (symlink "README" "README.org")
            (text-file "HACKING")
            (text-file "COPYING")
            (directory "doc" ((texi-file "guile-uniseg")))))
         (infrastructure
           ((scheme-file "guix")
            (text-file ".gitignore")
            (scheme-file "hall")))))
